> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar serviço



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json put /servicos/{idServico}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /servicos/{idServico}:
    put:
      tags:
        - Serviços
      summary: Atualizar serviço
      operationId: AtualizarServicoAction
      parameters:
        - $ref: '#/components/parameters/put_servicos_idServico_idServico'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AtualizarServicoRequestModel'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    put_servicos_idServico_idServico:
      name: idServico
      in: path
      description: Identificador do serviço
      required: true
      schema:
        type: integer
  schemas:
    AtualizarServicoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseServicoRequestModel'
        - properties:
            nome:
              type: string
              nullable: true
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    BaseServicoRequestModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            codigo:
              type: string
              nullable: true
            preco:
              type: number
              format: float
              nullable: true
            unidade:
              type: string
              nullable: true
            situacao:
              description: |-

                - A - Ativo
                - I - Inativo
                - E - Excluido
              type: string
              enum:
                - A
                - I
                - E
              nullable: true
              x-enumDescriptions:
                - A - Ativo
                - I - Inativo
                - E - Excluido
            tipoItemSped:
              description: |-

                - 00 - Mercadoria Para Revenda
                - 01 - Materia Prima
                - 02 - Embalagem
                - 03 - Produto Em Processo
                - 04 - Produto Acabado
                - 05 - Subproduto
                - 06 - Produto Intermediario
                - 07 - Material Uso Consumo
                - 08 - Ativo Imobilizado
                - 09 - Servicos
                - 10 - Outros Insumos
                - 99 - Outras
              type: string
              enum:
                - '00'
                - '01'
                - '02'
                - '03'
                - '04'
                - '05'
                - '06'
                - '07'
                - '08'
                - '09'
                - '10'
                - '99'
              nullable: true
              x-enumDescriptions:
                - 00 - Mercadoria Para Revenda
                - 01 - Materia Prima
                - 02 - Embalagem
                - 03 - Produto Em Processo
                - 04 - Produto Acabado
                - 05 - Subproduto
                - 06 - Produto Intermediario
                - 07 - Material Uso Consumo
                - 08 - Ativo Imobilizado
                - 09 - Servicos
                - 10 - Outros Insumos
                - 99 - Outras
            codigoListaServicos:
              type: string
              nullable: true
            nbs:
              type: string
              nullable: true
            descricaoComplementar:
              type: string
              nullable: true
            observacoes:
              type: string
              nullable: true
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````